;-------------------------------------------------------------------------------
; FATware - firmware and file system driver for ZX Spectrum divIDE interface
; Copyright (c) 2005-2009 Milos Bazelides (baze)
;-------------------------------------------------------------------------------
; This software is provided "as is" without warranties or conditions of any
; kind, either express or implied. In no event shall the author(s) be held
; liable for any damages arising from the use of this software.
; See accompanying "licence.txt" file for copyright and terms of use.
;-------------------------------------------------------------------------------
; This file contains macros for undocumented Z80 instructions used in the code.
;-------------------------------------------------------------------------------

; some useful "undocumented" Z80 instruction macros

LD__XL_A	.macro
		db	0DDh, 6Fh
		.endm

LD__XH_A	 .macro
		db	0DDh, 67h
		.endm

LD__A_XL	.macro
		db	0DDh, 7Dh
		.endm

LD__A_XH	 .macro
		db	0DDh, 7Ch
		.endm

